Subject: Re: [mpls-tp] Tandem Connections in MPLS-TP (wasRE:Associatedbidirectional transport path requirements)

From: "Xueqin WEI (Shuetsing WEI)" <[email-masked]>
Date: Thu, 23 Apr 2009 10:49:39 +0800

Maarten:

I think that segmengt monitoring of a end to end LSP is a useful function to network
opreation. As to how to realize it (By nested LSP or TCM or sth else),  I'd like we 
discuss later (After reauirements confirmed, I think some people expressed same opinon).
>From my personal view, I like nested LSP more. But it's will be fine to me whatever ITU-T 
and IETF finally selected in the future.

One shing I want to remind you is: the mechanism that was shown in 
"MPLS-TP_overview-22.ppt" is add a TCM label to the LSP which will be monitored. 
This is different with TCM mechanism defined in T-MPLS. 

Sincerely Yours
Xueqin Wei (Shuetsing Wei)

Development & Planning Department,
Fiberhome Telecommunication Technologies Co.,Ltd.,
No.88 Youkeyuan Road,Hongshan Dist.,Wuhan,Hubei,P.R.China,430074
Tel:    +86 27 87691310
Fax:    +86 27 87694362
Email:  [email-masked]
2009-04-23  10:23:37

==================== Following is your email=====================
Subject:RE: RE: [mpls-tp] Tandem Connections in MPLS-TP (wasRE:Associatedbidirectional transport path requirements)
Sent：2009-04-23 10:10:23
From:Maarten Vissers
To:[email-masked]
CC to:'MPLS-TP'

>Xueqin,
>
>TCM as designed in Ethernet, ATM and T-MPLS does not require the
>provisioning of a TCM label along the monitored segment. The T-MPLS TCM
>design just required the activation of some MEPs, one at each end of the
>segment to monitor. I..e. no changes to the existing LSP. MPLS-TP segment
>monitoring on the basis of a nested LSP requires much more provisioning, as
>you need to set up the new LSP and modify the existing LSP.
>
>Regards,
>Maarten
>
>-----Original Message-----
>From: Xueqin WEI (Shuetsing WEI) [mailto:[email-masked]] 
>Sent: woensdag 22 april 2009 9:18
>To: Maarten Vissers
>Cc: MPLS-TP
>Subject: Re: RE: [mpls-tp] Tandem Connections in MPLS-TP
>(wasRE:Associatedbidirectional transport path requirements)
>
>Maarten:
>Sorry reply you later because I have a trip on Monday and Tuesday.
>IMO, nested LSP is a already exist  mechanism but TCM is a new added one.
>Addtion of TCM will make the thing more complicate.
>Second, TCM need to provision the TCM label along the monitored segmant too,
>I didn't see any provision  difference between nested LSP and TCM.
>
>Sincerely Yours
>Xueqin Wei (Shuetsing Wei)
>2009-04-22  15:12:35
>
>==================== Following is your email=====================
>Subject:RE: [mpls-tp] Tandem Connections in MPLS-TP
>(wasRE:Associatedbidirectional transport path requirements)
>Sent：2009-04-19 01:16:02
>From:Maarten Vissers
>To:xqwei
>CC to:'MPLS-TP'
>
>>Xueqin,
>>
>>The nested LSP is a more complex solution then TCM. TCM just requires 
>>the activation of some MEPs in the LSP. Nested LSP requires to set up 
>>the same MEP functions plus set up an additional LSP and change the
>existing LSP.
>>
>>Regards,
>>Maarten
>>
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]] On 
>>Behalf Of Xueqin WEI (Shuetsing WEI)
>>Sent: zaterdag 18 april 2009 8:52
>>To: Ben Niven-Jenkins
>>Cc: MPLS-TP
>>Subject: Re: [mpls-tp] Tandem Connections in MPLS-TP (was 
>>RE:Associatedbidirectional transport path requirements)
>>
>>Support, I think the nested LSP will be great! Until now, I didn't see 
>>any difference between the nested LSP and TCM on performance 
>>monitoring. But the nested LSP will make the things more easy. I would 
>>like select a simple way to resolve the problem.
>>
>>Sincerely Yours
>>Xueqin Wei (Shuetsing Wei)
>>
>>Fiberhome Telecommunication Technologies Co.,Ltd.,
>>2009-04-18  14:48:51
>>
>>==================== Following is your email=====================
>>Subject:Re: [mpls-tp] Tandem Connections in MPLS-TP (was RE:
>>Associatedbidirectional transport path requirements)
>>Sent：2009-04-17 17:17:31
>>From:Ben Niven-Jenkins
>>To:BUSI ITALO; Adrian Farrel; Alexander Vainshtein CC to:mpls-tp
>>
>>>Italo,
>>>
>>>On 17/04/2009 09:34, "BUSI ITALO" <[email-masked]> wrote:
>>>> The JWT agreement is to bring the ITU-T transport requirements in 
>>>> IETF to extend the MPLS architecture to meet them in a way that is 
>>>> compatible, consistent and coherent with existing IETF architecture.
>>>
>>>So I took a look at the JWT report. It says (slide 16)
>>>
>>>" Service Providers want LSPs/PWEs to be able to be managed at the 
>>>different nested levels seamlessly (path, segment, multiple segments)
>>>    aka Tandem Connection Monitoring (TCM), this is used for example 
>>>when a LSP/PWE crosses multiple administrations"
>>>
>>>IMO the requirement is to be able to monitor parts of a path as well 
>>>as the end to end path. There are many ways to solve that requirement, 
>>>one of which is the creation of nested LSPs, one per level of 
>>>monitoring required (my understanding of how TCM works).
>>>
>>>I think the real discussion is therefore is the requirement to monitor 
>>>different components of an end to end path or is the requirement that 
>>>such monitoring MUST be achieved using nested LSPs?
>>>
>>>As an example PW technology today allows end to end and per segment 
>>>monitoring but it does not achieve it using nested PWs or PW levels.
>>>
>>>Ben
>>>
>>>_______________________________________________
>>>mpls-tp mailing list
>>>[email-masked]
>>>https://www.ietf.org/mailman/listinfo/mpls-tp
>>>
>>
>>=================================================================
>>_______________________________________________
>>mpls-tp mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/mpls-tp
>>
>>
>
>=================================================================
>
>
>
>

=================================================================